VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ChemKeywordsQuery"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Copyright 2003-2004 by Kazuya Ujihara <ujihara.jp>.
'
' The contents of this file are subject to the Mozilla Public License Version 1.1
' (the "License"); you may not use this file except in compliance with the License.
' You may obtain a copy of the License at http://www.mozilla.org/MPL/
'
' Software distributed under the License is distributed on an "AS IS" basis,
' WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
' for the specific language governing rights and limitations under the License.
'
' The Original Code is 'ChemFormatter'.
'
' The Initial Developer of the Original Code is Kazuya Ujihara. Portions created by
' the Initial Developer are Copyright (C) 2003-2004 by Kazuya Ujihara.
' All Rights Reserved.
'
' Contributor(s): all the names of the contributors are added in the source code
' where applicable.

Option Explicit

Dim WordsSet() As String

Public Command As String
Public ModeOption As Long
   
Property Let Keywords(ByVal Words As String)
    Call SplitWord(Words, "|", WordsSet)
End Property

Function GetCommands(UText() As Integer) As String
    GetCommands = ""

On Error GoTo 1000
    Dim l As Long
    l = UBound(UText)
    Dim i As Long
    For i = 0 To l
        Dim cc As Integer
        cc = UText(i)
        If UnicodeIsAscii(cc) Then
            Dim j As Long
            For j = i + 1 To l
                cc = UText(j)
                If Not UnicodeIsAscii(cc) Then
                    GoTo 100
                End If
            Next
            'no null terminate
100:
            'a(i) to a(j-1) are word at this point.
            Dim s As String
            s = I16ArrayToStr(UText, i, j - i)
            Dim k As Long
            For k = 0 To UBound(WordsSet)
                If WordsSet(k) = s Then
                    If ModeOption = ckqModeOptionIncludeApostrophe Then
                        For j = j To l
                            cc = UText(j)
                            If Not (cc = Unicode_Apostrophe) Then
                                GoTo 110
                            End If
                        Next
                    End If
110:
                    GetCommands = GetCommands & MakeCommand2(Command, i, j - i)
                    Exit For
                End If
            Next
            i = j - 1
        End If
    Next
    Exit Function
1000:
End Function


Private Sub Class_Initialize()
    Command = "Italic"
    ModeOption = ckqModeOptionDefault
End Sub

