Attribute VB_Name = "GblChemFFO"
' Copyright 2003-2004 by Kazuya Ujihara <ujihara.jp>.
'
' The contents of this file are subject to the Mozilla Public License Version 1.1
' (the "License"); you may not use this file except in compliance with the License.
' You may obtain a copy of the License at http://www.mozilla.org/MPL/
'
' Software distributed under the License is distributed on an "AS IS" basis,
' WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
' for the specific language governing rights and limitations under the License.
'
' The Original Code is 'ChemFormatter'.
'
' The Initial Developer of the Original Code is Kazuya Ujihara. Portions created by
' the Initial Developer are Copyright (C) 2003-2004 by Kazuya Ujihara.
' All Rights Reserved.
'
' Contributor(s): all the names of the contributors are added in the source code
' where applicable.

Option Explicit

Public Const NMRSpecFormatPropName = "ChemFormatter NMR Spec Format"
Public Const NMRTableFormatPropName = "ChemFormatter NMR Table Format"
Public Const JValuesFormatPropName = "ChemFormatter J Value Format"

Public Const NMRSpecFormatDefault = NMRSpecFormat_1H_d_J
Public Const JValuesFormaDefault = JValueStyle_Hz_Hz

Function IsNotMixedSize(ByVal Size As Single) As Boolean
    IsNotMixedSize = Size > 0 And Size < 1000000
End Function

Sub AddInErr(errX As ErrObject)
    Dim strMsg As String
    strMsg = "An error occurred in the add-in named 'ChemFormatter'." _
        & vbCrLf & "Error #:" & errX.Number & vbCrLf & errX.Description
    MsgBox strMsg, , "Error!"
End Sub



