VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ChemSuperscriptQuery"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Copyright 2003-2004 by Kazuya Ujihara <ujihara.jp>.
'
' The contents of this file are subject to the Mozilla Public License Version 1.1
' (the "License"); you may not use this file except in compliance with the License.
' You may obtain a copy of the License at http://www.mozilla.org/MPL/
'
' Software distributed under the License is distributed on an "AS IS" basis,
' WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
' for the specific language governing rights and limitations under the License.
'
' The Original Code is 'ChemFormatter'.
'
' The Initial Developer of the Original Code is Kazuya Ujihara. Portions created by
' the Initial Developer are Copyright (C) 2003-2004 by Kazuya Ujihara.
' All Rights Reserved.
'
' Contributor(s): all the names of the contributors are added in the source code
' where applicable.

Option Explicit

Public Command As String

Function GetCommands(UText() As Integer) As String
On Error GoTo 1000
    Dim l As Long
    l = UBound(UText)
    Dim i As Long
    For i = 1 To l
        Dim p0 As Long, p1 As Long
        Dim cc As Integer
        cc = UText(i)
        Select Case cc
        Case Unicode_Plus, Unicode_Minus
            p0 = i
            p1 = i
            cc = UText(i - 1)
            If Unicode_2 <= cc And cc <= Unicode_7 Then
                p0 = p0 - 1
            End If
            Dim j As Long
            For j = p0 - 1 To 0 Step -1
                cc = UText(j)
                If UnicodeIsDigit(cc) Then
                    '
                Else
                    GoTo 100
                End If
            Next
            'this string is start by digit.
            GoTo 200
100:
            'a(j+1 to p0-1) are sub-digit at this point.
            'a(p0 to p1) are for superscript.
            cc = UText(j)
            Select Case cc
            Case Unicode_SmallClosingParenthesis, _
                    Unicode_BigClosingParenthesis, _
                    Unicode_MiddleClosingParenthesis, _
                    Unicode_BigA To Unicode_BigZ, _
                    Unicode_SmallA To Unicode_SmallZ
                GetCommands = GetCommands & MakeCommand2(Command, p0, p1 - p0 + 1)
            Case Else
                '
            End Select
            i = p1 + 1
        Case Else
            '
        End Select
200:
    Next
    Exit Function
1000:
End Function


Private Sub Class_Initialize()
    Command = "Superscript"
End Sub


