Attribute VB_Name = "GblChemFormatter"
' Copyright 2003-2004 by Kazuya Ujihara <ujihara.jp>.
'
' The contents of this file are subject to the Mozilla Public License Version 1.1
' (the "License"); you may not use this file except in compliance with the License.
' You may obtain a copy of the License at http://www.mozilla.org/MPL/
'
' Software distributed under the License is distributed on an "AS IS" basis,
' WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
' for the specific language governing rights and limitations under the License.
'
' The Original Code is 'ChemFormatter'.
'
' The Initial Developer of the Original Code is Kazuya Ujihara. Portions created by
' the Initial Developer are Copyright (C) 2003-2004 by Kazuya Ujihara.
' All Rights Reserved.
'
' Contributor(s): all the names of the contributors are added in the source code
' where applicable.

Option Explicit

Public Const NMRSpecFormatterC_ChemicalShift = 0
Public Const NMRSpecFormatterC_NumberAndAtom = 1
Public Const NMRSpecFormatterC_Pattern = 2
Public Const NMRSpecFormatterC_JValues = 3
Public Const NMRSpecFormatterC_Comments = 4
Public Const NMRSpecFormatter_NumberOfValues = 5

Public Const JValueStyle_Hz_Hz = 1
Public Const JValueStyle_0_Hz = 2
Public Const JValueStyle_0_0 = 3

Public Const NMRSpecFormat_1H_d_J = "1H, d, J"
Public Const NMRSpecFormat_1H_J_d = "1H, J, d"
Public Const NMRSpecFormat_d_1H_J = "d, 1H, J"
Public Const NMRSpecFormat_d_J_1H = "d, J, 1H"
Public Const NMRSpecFormat_J_1H_d = "J, 1H, d"
Public Const NMRSpecFormat_J_d_1H = "J, d, 1H"

